<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\DI\Metadata;

final class Visibility
{
    public const PUBLIC = 'public';
    public const PRIVATE = 'private';

    public static function valid(string $visibility): bool
    {
        return in_array($visibility, [self::PUBLIC, self::PRIVATE], true);
    }
}
